# PulpAnsibleClient::AnsibleCollectionVersion

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**artifact** | **String** | Artifact file representing the physical content | 
**id** | **String** | A collection identifier. | 
**authors** | **Array&lt;String&gt;** | A list of the CollectionVersion content&#39;s authors. | 
**contents** | **Array&lt;Object&gt;** | A JSON field with data about the contents. | 
**dependencies** | [**Object**](.md) | A dict declaring Collections that this collection requires to be installed for it to be usable. | 
**description** | **String** | A short summary description of the collection. | 
**docs_blob** | [**Object**](.md) | A JSON field holding the various documentation blobs in the collection. | 
**documentation** | **String** | The URL to any online docs. | 
**homepage** | **String** | The URL to the homepage of the collection/project. | 
**issues** | **String** | The URL to the collection issue tracker. | 
**license** | **Array&lt;String&gt;** | A list of licenses for content inside of a collection. | 
**name** | **String** | The name of the collection. | 
**namespace** | **String** | The namespace of the collection. | 
**repository** | **String** | The URL of the originating SCM repository. | 
**version** | **String** | The version of the collection. | 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleCollectionVersion.new(artifact: null,
                                 id: null,
                                 authors: null,
                                 contents: null,
                                 dependencies: null,
                                 description: null,
                                 docs_blob: null,
                                 documentation: null,
                                 homepage: null,
                                 issues: null,
                                 license: null,
                                 name: null,
                                 namespace: null,
                                 repository: null,
                                 version: null)
```


