# PulpAnsibleClient::AnsibleCopyApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**copy_content**](AnsibleCopyApi.md#copy_content) | **POST** /pulp/api/v3/ansible/copy/ | Copy content



## copy_content

> AsyncOperationResponse copy_content(copy)

Copy content

Trigger an asynchronous task to copy ansible content from one repository into another, creating a new repository version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::AnsibleCopyApi.new
copy = PulpAnsibleClient::Copy.new # Copy | 

begin
  #Copy content
  result = api_instance.copy_content(copy)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling AnsibleCopyApi->copy_content: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **copy** | [**Copy**](Copy.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

