# PulpAnsibleClient::CollectionImportApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**read**](CollectionImportApi.md#read) | **GET** {ansible_collection_import_href} | Inspect a collection import



## read

> CollectionImportDetailResponse read(ansible_collection_import_href, opts)

Inspect a collection import

Returns a CollectionImport object.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::CollectionImportApi.new
ansible_collection_import_href = 'ansible_collection_import_href_example' # String | 
opts = {
  since: 'since_example', # String | Filter messages since a given timestamp
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a collection import
  result = api_instance.read(ansible_collection_import_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling CollectionImportApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_import_href** | **String**|  | 
 **since** | **String**| Filter messages since a given timestamp | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**CollectionImportDetailResponse**](CollectionImportDetailResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

