# PulpAnsibleClient::GalaxyDetailApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get**](GalaxyDetailApi.md#get) | **GET** {ansible_collection_href} | 



## get

> GalaxyCollectionResponse get(ansible_collection_href, opts)



Get the detail view of a Collection.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::GalaxyDetailApi.new
ansible_collection_href = 'ansible_collection_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.get(ansible_collection_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling GalaxyDetailApi->get: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**GalaxyCollectionResponse**](GalaxyCollectionResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

