# PulpAnsibleClient::PulpAnsibleGalaxyApiV3CollectionsDocsBlobApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**read**](PulpAnsibleGalaxyApiV3CollectionsDocsBlobApi.md#read) | **GET** /pulp_ansible/galaxy/{path}/api/v3/collections/{namespace}/{name}/versions/{version}/docs-blob/ | 



## read

> CollectionVersionDocsResponse read(name, namespace, path, version, opts)



Returns a CollectionVersion object.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiV3CollectionsDocsBlobApi.new
name = 'name_example' # String | 
namespace = 'namespace_example' # String | 
path = 'path_example' # String | 
version = 'version_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  result = api_instance.read(name, namespace, path, version, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiV3CollectionsDocsBlobApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**|  | 
 **namespace** | **String**|  | 
 **path** | **String**|  | 
 **version** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**CollectionVersionDocsResponse**](CollectionVersionDocsResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

