# PulpAnsibleClient::RemotesCollectionApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RemotesCollectionApi.md#create) | **POST** /pulp/api/v3/remotes/ansible/collection/ | Create a collection remote
[**delete**](RemotesCollectionApi.md#delete) | **DELETE** {ansible_collection_remote_href} | Delete a collection remote
[**list**](RemotesCollectionApi.md#list) | **GET** /pulp/api/v3/remotes/ansible/collection/ | List collection remotes
[**partial_update**](RemotesCollectionApi.md#partial_update) | **PATCH** {ansible_collection_remote_href} | Update a collection remote
[**read**](RemotesCollectionApi.md#read) | **GET** {ansible_collection_remote_href} | Inspect a collection remote
[**update**](RemotesCollectionApi.md#update) | **PUT** {ansible_collection_remote_href} | Update a collection remote



## create

> AnsibleCollectionRemoteResponse create(ansible_collection_remote)

Create a collection remote

ViewSet for Collection Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
ansible_collection_remote = PulpAnsibleClient::AnsibleCollectionRemote.new # AnsibleCollectionRemote | 

begin
  #Create a collection remote
  result = api_instance.create(ansible_collection_remote)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_remote** | [**AnsibleCollectionRemote**](AnsibleCollectionRemote.md)|  | 

### Return type

[**AnsibleCollectionRemoteResponse**](AnsibleCollectionRemoteResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(ansible_collection_remote_href)

Delete a collection remote

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
ansible_collection_remote_href = 'ansible_collection_remote_href_example' # String | 

begin
  #Delete a collection remote
  result = api_instance.delete(ansible_collection_remote_href)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_remote_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedansibleCollectionRemoteResponseList list(opts)

List collection remotes

ViewSet for Collection Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | name
  name__in: 'name__in_example', # String | name__in
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  pulp_last_updated: 'pulp_last_updated_example', # String | pulp_last_updated
  pulp_last_updated__gt: 'pulp_last_updated__gt_example', # String | pulp_last_updated__gt
  pulp_last_updated__gte: 'pulp_last_updated__gte_example', # String | pulp_last_updated__gte
  pulp_last_updated__lt: 'pulp_last_updated__lt_example', # String | pulp_last_updated__lt
  pulp_last_updated__lte: 'pulp_last_updated__lte_example', # String | pulp_last_updated__lte
  pulp_last_updated__range: 'pulp_last_updated__range_example', # String | pulp_last_updated__range
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List collection remotes
  result = api_instance.list(opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| name | [optional] 
 **name__in** | **String**| name__in | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **pulp_last_updated** | **String**| pulp_last_updated | [optional] 
 **pulp_last_updated__gt** | **String**| pulp_last_updated__gt | [optional] 
 **pulp_last_updated__gte** | **String**| pulp_last_updated__gte | [optional] 
 **pulp_last_updated__lt** | **String**| pulp_last_updated__lt | [optional] 
 **pulp_last_updated__lte** | **String**| pulp_last_updated__lte | [optional] 
 **pulp_last_updated__range** | **String**| pulp_last_updated__range | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedansibleCollectionRemoteResponseList**](PaginatedansibleCollectionRemoteResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(ansible_collection_remote_href, patchedansible_collection_remote)

Update a collection remote

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
ansible_collection_remote_href = 'ansible_collection_remote_href_example' # String | 
patchedansible_collection_remote = PulpAnsibleClient::PatchedansibleCollectionRemote.new # PatchedansibleCollectionRemote | 

begin
  #Update a collection remote
  result = api_instance.partial_update(ansible_collection_remote_href, patchedansible_collection_remote)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_remote_href** | **String**|  | 
 **patchedansible_collection_remote** | [**PatchedansibleCollectionRemote**](PatchedansibleCollectionRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> AnsibleCollectionRemoteResponse read(ansible_collection_remote_href, opts)

Inspect a collection remote

ViewSet for Collection Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
ansible_collection_remote_href = 'ansible_collection_remote_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a collection remote
  result = api_instance.read(ansible_collection_remote_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_remote_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**AnsibleCollectionRemoteResponse**](AnsibleCollectionRemoteResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> AsyncOperationResponse update(ansible_collection_remote_href, ansible_collection_remote)

Update a collection remote

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesCollectionApi.new
ansible_collection_remote_href = 'ansible_collection_remote_href_example' # String | 
ansible_collection_remote = PulpAnsibleClient::AnsibleCollectionRemote.new # AnsibleCollectionRemote | 

begin
  #Update a collection remote
  result = api_instance.update(ansible_collection_remote_href, ansible_collection_remote)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesCollectionApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_collection_remote_href** | **String**|  | 
 **ansible_collection_remote** | [**AnsibleCollectionRemote**](AnsibleCollectionRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

