# PulpAnsibleClient::RemotesRoleApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RemotesRoleApi.md#create) | **POST** /pulp/api/v3/remotes/ansible/role/ | Create a role remote
[**delete**](RemotesRoleApi.md#delete) | **DELETE** {ansible_role_remote_href} | Delete a role remote
[**list**](RemotesRoleApi.md#list) | **GET** /pulp/api/v3/remotes/ansible/role/ | List role remotes
[**partial_update**](RemotesRoleApi.md#partial_update) | **PATCH** {ansible_role_remote_href} | Update a role remote
[**read**](RemotesRoleApi.md#read) | **GET** {ansible_role_remote_href} | Inspect a role remote
[**update**](RemotesRoleApi.md#update) | **PUT** {ansible_role_remote_href} | Update a role remote



## create

> AnsibleRoleRemoteResponse create(ansible_role_remote)

Create a role remote

ViewSet for Role Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesRoleApi.new
ansible_role_remote = PulpAnsibleClient::AnsibleRoleRemote.new # AnsibleRoleRemote | 

begin
  #Create a role remote
  result = api_instance.create(ansible_role_remote)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesRoleApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_role_remote** | [**AnsibleRoleRemote**](AnsibleRoleRemote.md)|  | 

### Return type

[**AnsibleRoleRemoteResponse**](AnsibleRoleRemoteResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(ansible_role_remote_href)

Delete a role remote

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesRoleApi.new
ansible_role_remote_href = 'ansible_role_remote_href_example' # String | 

begin
  #Delete a role remote
  result = api_instance.delete(ansible_role_remote_href)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesRoleApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_role_remote_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedansibleRoleRemoteResponseList list(opts)

List role remotes

ViewSet for Role Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesRoleApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | name
  name__in: 'name__in_example', # String | name__in
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  pulp_last_updated: 'pulp_last_updated_example', # String | pulp_last_updated
  pulp_last_updated__gt: 'pulp_last_updated__gt_example', # String | pulp_last_updated__gt
  pulp_last_updated__gte: 'pulp_last_updated__gte_example', # String | pulp_last_updated__gte
  pulp_last_updated__lt: 'pulp_last_updated__lt_example', # String | pulp_last_updated__lt
  pulp_last_updated__lte: 'pulp_last_updated__lte_example', # String | pulp_last_updated__lte
  pulp_last_updated__range: 'pulp_last_updated__range_example', # String | pulp_last_updated__range
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List role remotes
  result = api_instance.list(opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesRoleApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| name | [optional] 
 **name__in** | **String**| name__in | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **pulp_last_updated** | **String**| pulp_last_updated | [optional] 
 **pulp_last_updated__gt** | **String**| pulp_last_updated__gt | [optional] 
 **pulp_last_updated__gte** | **String**| pulp_last_updated__gte | [optional] 
 **pulp_last_updated__lt** | **String**| pulp_last_updated__lt | [optional] 
 **pulp_last_updated__lte** | **String**| pulp_last_updated__lte | [optional] 
 **pulp_last_updated__range** | **String**| pulp_last_updated__range | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedansibleRoleRemoteResponseList**](PaginatedansibleRoleRemoteResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(ansible_role_remote_href, patchedansible_role_remote)

Update a role remote

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesRoleApi.new
ansible_role_remote_href = 'ansible_role_remote_href_example' # String | 
patchedansible_role_remote = PulpAnsibleClient::PatchedansibleRoleRemote.new # PatchedansibleRoleRemote | 

begin
  #Update a role remote
  result = api_instance.partial_update(ansible_role_remote_href, patchedansible_role_remote)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesRoleApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_role_remote_href** | **String**|  | 
 **patchedansible_role_remote** | [**PatchedansibleRoleRemote**](PatchedansibleRoleRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> AnsibleRoleRemoteResponse read(ansible_role_remote_href, opts)

Inspect a role remote

ViewSet for Role Remotes.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesRoleApi.new
ansible_role_remote_href = 'ansible_role_remote_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a role remote
  result = api_instance.read(ansible_role_remote_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesRoleApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_role_remote_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**AnsibleRoleRemoteResponse**](AnsibleRoleRemoteResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> AsyncOperationResponse update(ansible_role_remote_href, ansible_role_remote)

Update a role remote

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RemotesRoleApi.new
ansible_role_remote_href = 'ansible_role_remote_href_example' # String | 
ansible_role_remote = PulpAnsibleClient::AnsibleRoleRemote.new # AnsibleRoleRemote | 

begin
  #Update a role remote
  result = api_instance.update(ansible_role_remote_href, ansible_role_remote)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RemotesRoleApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_role_remote_href** | **String**|  | 
 **ansible_role_remote** | [**AnsibleRoleRemote**](AnsibleRoleRemote.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

