# PulpAnsibleClient::RepositoriesAnsibleApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RepositoriesAnsibleApi.md#create) | **POST** /pulp/api/v3/repositories/ansible/ansible/ | Create an ansible repository
[**delete**](RepositoriesAnsibleApi.md#delete) | **DELETE** {ansible_ansible_repository_href} | Delete an ansible repository
[**list**](RepositoriesAnsibleApi.md#list) | **GET** /pulp/api/v3/repositories/ansible/ansible/ | List ansible repositorys
[**modify**](RepositoriesAnsibleApi.md#modify) | **POST** {ansible_ansible_repository_href}modify/ | Modify Repository Content
[**partial_update**](RepositoriesAnsibleApi.md#partial_update) | **PATCH** {ansible_ansible_repository_href} | Update an ansible repository
[**read**](RepositoriesAnsibleApi.md#read) | **GET** {ansible_ansible_repository_href} | Inspect an ansible repository
[**sync**](RepositoriesAnsibleApi.md#sync) | **POST** {ansible_ansible_repository_href}sync/ | 
[**update**](RepositoriesAnsibleApi.md#update) | **PUT** {ansible_ansible_repository_href} | Update an ansible repository



## create

> AnsibleAnsibleRepositoryResponse create(ansible_ansible_repository)

Create an ansible repository

ViewSet for Ansible Repositories.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository = PulpAnsibleClient::AnsibleAnsibleRepository.new # AnsibleAnsibleRepository | 

begin
  #Create an ansible repository
  result = api_instance.create(ansible_ansible_repository)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository** | [**AnsibleAnsibleRepository**](AnsibleAnsibleRepository.md)|  | 

### Return type

[**AnsibleAnsibleRepositoryResponse**](AnsibleAnsibleRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(ansible_ansible_repository_href)

Delete an ansible repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 

begin
  #Delete an ansible repository
  result = api_instance.delete(ansible_ansible_repository_href)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedansibleAnsibleRepositoryResponseList list(opts)

List ansible repositorys

ViewSet for Ansible Repositories.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | name
  name__in: 'name__in_example', # String | name__in
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List ansible repositorys
  result = api_instance.list(opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| name | [optional] 
 **name__in** | **String**| name__in | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedansibleAnsibleRepositoryResponseList**](PaginatedansibleAnsibleRepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## modify

> AsyncOperationResponse modify(ansible_ansible_repository_href, repository_add_remove_content)

Modify Repository Content

Trigger an asynchronous task to create a new repository version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
repository_add_remove_content = PulpAnsibleClient::RepositoryAddRemoveContent.new # RepositoryAddRemoveContent | 

begin
  #Modify Repository Content
  result = api_instance.modify(ansible_ansible_repository_href, repository_add_remove_content)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->modify: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **repository_add_remove_content** | [**RepositoryAddRemoveContent**](RepositoryAddRemoveContent.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(ansible_ansible_repository_href, patchedansible_ansible_repository)

Update an ansible repository

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
patchedansible_ansible_repository = PulpAnsibleClient::PatchedansibleAnsibleRepository.new # PatchedansibleAnsibleRepository | 

begin
  #Update an ansible repository
  result = api_instance.partial_update(ansible_ansible_repository_href, patchedansible_ansible_repository)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **patchedansible_ansible_repository** | [**PatchedansibleAnsibleRepository**](PatchedansibleAnsibleRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> AnsibleAnsibleRepositoryResponse read(ansible_ansible_repository_href, opts)

Inspect an ansible repository

ViewSet for Ansible Repositories.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect an ansible repository
  result = api_instance.read(ansible_ansible_repository_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**AnsibleAnsibleRepositoryResponse**](AnsibleAnsibleRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## sync

> AsyncOperationResponse sync(ansible_ansible_repository_href, repository_sync_url)



Trigger an asynchronous task to sync Ansible content.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
repository_sync_url = PulpAnsibleClient::RepositorySyncURL.new # RepositorySyncURL | 

begin
  result = api_instance.sync(ansible_ansible_repository_href, repository_sync_url)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->sync: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **repository_sync_url** | [**RepositorySyncURL**](RepositorySyncURL.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## update

> AsyncOperationResponse update(ansible_ansible_repository_href, ansible_ansible_repository)

Update an ansible repository

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
ansible_ansible_repository = PulpAnsibleClient::AnsibleAnsibleRepository.new # AnsibleAnsibleRepository | 

begin
  #Update an ansible repository
  result = api_instance.update(ansible_ansible_repository_href, ansible_ansible_repository)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **ansible_ansible_repository** | [**AnsibleAnsibleRepository**](AnsibleAnsibleRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

