# PulpAnsibleClient::RepositoriesAnsibleVersionsApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete**](RepositoriesAnsibleVersionsApi.md#delete) | **DELETE** {ansible_ansible_repository_version_href} | Delete a repository version
[**list**](RepositoriesAnsibleVersionsApi.md#list) | **GET** {ansible_ansible_repository_href}versions/ | List repository versions
[**read**](RepositoriesAnsibleVersionsApi.md#read) | **GET** {ansible_ansible_repository_version_href} | Inspect a repository version
[**repair**](RepositoriesAnsibleVersionsApi.md#repair) | **POST** {ansible_ansible_repository_version_href}repair/ | 



## delete

> AsyncOperationResponse delete(ansible_ansible_repository_version_href)

Delete a repository version

Trigger an asynchronous task to delete a repositroy version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleVersionsApi.new
ansible_ansible_repository_version_href = 'ansible_ansible_repository_version_href_example' # String | 

begin
  #Delete a repository version
  result = api_instance.delete(ansible_ansible_repository_version_href)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleVersionsApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_version_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedRepositoryVersionResponseList list(ansible_ansible_repository_href, opts)

List repository versions

AnsibleRepositoryVersion represents a single file repository version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleVersionsApi.new
ansible_ansible_repository_href = 'ansible_ansible_repository_href_example' # String | 
opts = {
  content: 'content_example', # String | content
  content__in: 'content__in_example', # String | content__in
  limit: 56, # Integer | Number of results to return per page.
  number: 'number_example', # String | number
  number__gt: 'number__gt_example', # String | number__gt
  number__gte: 'number__gte_example', # String | number__gte
  number__lt: 'number__lt_example', # String | number__lt
  number__lte: 'number__lte_example', # String | number__lte
  number__range: 'number__range_example', # String | number__range
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  pulp_created: 'pulp_created_example', # String | pulp_created
  pulp_created__gt: 'pulp_created__gt_example', # String | pulp_created__gt
  pulp_created__gte: 'pulp_created__gte_example', # String | pulp_created__gte
  pulp_created__lt: 'pulp_created__lt_example', # String | pulp_created__lt
  pulp_created__lte: 'pulp_created__lte_example', # String | pulp_created__lte
  pulp_created__range: 'pulp_created__range_example', # String | pulp_created__range
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List repository versions
  result = api_instance.list(ansible_ansible_repository_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleVersionsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_href** | **String**|  | 
 **content** | **String**| content | [optional] 
 **content__in** | **String**| content__in | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **number** | **String**| number | [optional] 
 **number__gt** | **String**| number__gt | [optional] 
 **number__gte** | **String**| number__gte | [optional] 
 **number__lt** | **String**| number__lt | [optional] 
 **number__lte** | **String**| number__lte | [optional] 
 **number__range** | **String**| number__range | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **pulp_created** | **String**| pulp_created | [optional] 
 **pulp_created__gt** | **String**| pulp_created__gt | [optional] 
 **pulp_created__gte** | **String**| pulp_created__gte | [optional] 
 **pulp_created__lt** | **String**| pulp_created__lt | [optional] 
 **pulp_created__lte** | **String**| pulp_created__lte | [optional] 
 **pulp_created__range** | **String**| pulp_created__range | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedRepositoryVersionResponseList**](PaginatedRepositoryVersionResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> RepositoryVersionResponse read(ansible_ansible_repository_version_href, opts)

Inspect a repository version

AnsibleRepositoryVersion represents a single file repository version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleVersionsApi.new
ansible_ansible_repository_version_href = 'ansible_ansible_repository_version_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a repository version
  result = api_instance.read(ansible_ansible_repository_version_href, opts)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleVersionsApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_version_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**RepositoryVersionResponse**](RepositoryVersionResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## repair

> AsyncOperationResponse repair(ansible_ansible_repository_version_href, repository_version)



Trigger an asynchronous task to repair a repositroy version.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'
# setup authorization
PulpAnsibleClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpAnsibleClient::RepositoriesAnsibleVersionsApi.new
ansible_ansible_repository_version_href = 'ansible_ansible_repository_version_href_example' # String | 
repository_version = PulpAnsibleClient::RepositoryVersion.new # RepositoryVersion | 

begin
  result = api_instance.repair(ansible_ansible_repository_version_href, repository_version)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling RepositoriesAnsibleVersionsApi->repair: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ansible_ansible_repository_version_href** | **String**|  | 
 **repository_version** | [**RepositoryVersion**](RepositoryVersion.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

